---
title: "Resetting your password"
date: "2014-10-28"
---

## Primary user

Passwords may be reset by clicking on "Forgot your password?" from the [control panel login portal](https://cp.apiscp.com/apps/login). An e-mail containing both your username and optional reset request will be sent to the [e-mail address](https://kb.apiscp.com/control-panel/updating-your-contact-information/ "Updating Your Contact Information") on record. Password reset requests are valid for only 2 hours.

In the event this e-mail address is invalid, contact support at help@apiscp.com. Include either a copy of your PayPal receipt or last 4 digits of the credit card on account.

Note: passwords, once entered into the system, can never be recovered but only reset. Once you have established a new password, be sure to keep it in a safe place.

## Secondary user

Users that are not the primary account holder may receive a password reset if they have configured an email address via Account > Settings. The same rules apply as for the Primary user.

If no email is configured in apnscp, then these passwords must be reset within the [control panel](https://kb.apiscp.com/control-panel/logging-into-the-control-panel/) by the Primary user:

1. Visit **User** > **Manage Users**
2. Click the _Edit_ action under the Actions column
3. Once the user page loads, enter a new password
4. Click **Save Changes**.
